org.apache.ignite.springdata22.repository.query

## Class IgniteQuery

- java.lang.Object
- - org.apache.ignite.springdata22.repository.query.IgniteQuery

-     public class IgniteQuery
      extends Object

  Ignite query helper class. For internal use only.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteQuery(String qrySql, boolean isFieldQuery, boolean isTextQuery, boolean isAutogenerated, org.apache.ignite.springdata22.repository.query.IgniteQuery.Option option)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isAutogenerated()` Returns `true` if it's autogenerated, `false` otherwise.
    `boolean` | `isFieldQuery()` Returns `true` if it's Ignite SQL fields query, `false` otherwise.
    `boolean` | `isTextQuery()` Returns `true` if it's Ignite Text query, `false` otherwise.
    `org.apache.ignite.springdata22.repository.query.IgniteQuery.Option` | `options()` Advanced querying option.
    `String` | `qryStr()` Text string of the query.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteQuery

          public IgniteQuery(String qrySql,
                             boolean isFieldQuery,
                             boolean isTextQuery,
                             boolean isAutogenerated,
                             org.apache.ignite.springdata22.repository.query.IgniteQuery.Option option)

      Parameters:
        `qrySql` - the query string.
        `isFieldQuery` - Is field query.
        `isTextQuery` - Is a TextQuery
        `isAutogenerated` - query was autogenerated
        `option` - Option.

  - ### Method Detail

    - #### qryStr

          public String qryStr()

      Text string of the query.
      Returns:
        SQL query text string.

    - #### isFieldQuery

          public boolean isFieldQuery()

      Returns `true` if it's Ignite SQL fields query, `false` otherwise.
      Returns:
        `true` if it's Ignite SQL fields query, `false` otherwise.

    - #### isTextQuery

          public boolean isTextQuery()

      Returns `true` if it's Ignite Text query, `false` otherwise.
      Returns:
        `true` if it's Ignite Text query, `false` otherwise.

    - #### isAutogenerated

          public boolean isAutogenerated()

      Returns `true` if it's autogenerated, `false` otherwise.
      Returns:
        `true` if it's autogenerated, `false` otherwise.

    - #### options

          public org.apache.ignite.springdata22.repository.query.IgniteQuery.Option options()

      Advanced querying option.
      Returns:
        querying option.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020